<?php
/**
 * @package	    UpdateSiteFix
 * @copyright	Copyright (c)2016 Nicholas K. Dionysopoulos / AkeebaBackup.com
 * @license	    GNU General Public License version 3 or later
 */

defined('_JEXEC') or die;

require_once __DIR__ . '/models/fixer.php';
$fixer = new UpdateSiteFixer();

$detectedSites = $fixer->discoverUpdateSites();
$appliedSites = $fixer->applyUpdateSites($detectedSites);

?>
<h3>
	Fix Update Sites
</h3>
<p class="alert">
	<strong>IMPORTANT!</strong>
	If you are using Professional (paid) versions of Akeeba extensions you must go to each extension's main page and click on
	the &quot;Reload Update Information&quot; button for updates to work.
</p>
<p>
	<strong>Total detected update sites:</strong> <?php echo count($detectedSites); ?>
	<br/>
	<strong>Total applied update sites:</strong> <?php echo $appliedSites; ?>
</p>
<p>
	You can now uninstall this component.
</p>